Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Default_EMO_Factory Class Reference

`#include <Notify_Default_EMO_Factory.h>`

Inheritance diagram for TAO_Notify_Default_EMO_Factory:

[legend]
Collaboration diagram for TAO_Notify_Default_EMO_Factory:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Default_EMO_Factory (void)
| ~TAO_Notify_Default_EMO_Factory ()
virtual int | init (int argc, ACE_TCHAR *argv[])
virtual int | fini (void)
virtual TAO_Notify_Event_Manager * | create_event_manager (TAO_Notify_EventChannel_i *channel ACE_ENV_ARG_DECL)
| Create an event manager. More...
virtual TAO_Notify_Event_Map * | create_event_map (ACE_ENV_SINGLE_ARG_DECL)
| Create the event map. More...
virtual TAO_Notify_Event_Processor * | create_event_processor (TAO_Notify_Event_Manager *event_manager ACE_ENV_ARG_DECL)
| Create event processor. More...
virtual TAO_Notify_Worker_Task * | create_source_eval_task (ACE_ENV_SINGLE_ARG_DECL)
virtual TAO_Notify_Worker_Task * | create_lookup_task (ACE_ENV_SINGLE_ARG_DECL)
virtual TAO_Notify_Worker_Task * | create_listener_eval_task (ACE_ENV_SINGLE_ARG_DECL)
virtual TAO_Notify_Worker_Task * | create_dispatching_task (ACE_ENV_SINGLE_ARG_DECL)
| Task that dispatches events. Task that dispatches updates. More...
virtual TAO_Notify_Worker_Task * | create_updates_task (ACE_ENV_SINGLE_ARG_DECL)
virtual void | destroy_source_eval_task (TAO_Notify_Worker_Task *task)
virtual void | destroy_lookup_task (TAO_Notify_Worker_Task *task)
virtual void | destroy_listener_eval_task (TAO_Notify_Worker_Task *task)
virtual void | destroy_dispatching_task (TAO_Notify_Worker_Task *task)
virtual void | destroy_updates_task (TAO_Notify_Worker_Task *task)
virtual void | print_values (void)
| bad hack. why is this here?! More...
int | init_instance ()
## Static Public Methods
int | init_svc (void)
| Helper function to register the default factory into the service configurator. More...
## Protected Methods
TAO_Notify_Worker_Task * | create_task (int mt, int tp_size ACE_ENV_ARG_DECL)
| Create a worker task, mt => is this a MT task, if so, tp_size is thread pool size. More...
int | preallocate_tasks (void)
## Protected Attributes
TAO_Notify_Worker_Task * | prealloc_source_eval_task_
TAO_Notify_Worker_Task * | prealloc_listener_eval_task_
TAO_Notify_Worker_Task * | prealloc_dispatching_task_

## Constructor & Destructor Documentation

TAO_Notify_Default_EMO_Factory::TAO_Notify_Default_EMO_Factory | ( | void |  | ) |

TAO_Notify_Default_EMO_Factory::~TAO_Notify_Default_EMO_Factory | ( |  | ) |

## Member Function Documentation

TAO_Notify_Worker_Task * TAO_Notify_Default_EMO_Factory::create_dispatching_task | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Task that dispatches events. Task that dispatches updates. Reimplemented from TAO_Notify_EMO_Factory.

TAO_Notify_Event_Manager * TAO_Notify_Default_EMO_Factory::create_event_manager | ( | TAO_Notify_EventChannel_i *channel | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Create an event manager. Reimplemented from TAO_Notify_EMO_Factory.

TAO_Notify_Event_Map * TAO_Notify_Default_EMO_Factory::create_event_map | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Create the event map. Reimplemented from TAO_Notify_EMO_Factory.

TAO_Notify_Event_Processor * TAO_Notify_Default_EMO_Factory::create_event_processor | ( | TAO_Notify_Event_Manager *event_manager | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Create event processor. Reimplemented from TAO_Notify_EMO_Factory.

TAO_Notify_Worker_Task * TAO_Notify_Default_EMO_Factory::create_listener_eval_task | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

TAO_Notify_Worker_Task * TAO_Notify_Default_EMO_Factory::create_lookup_task | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

TAO_Notify_Worker_Task * TAO_Notify_Default_EMO_Factory::create_source_eval_task | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

TAO_Notify_Worker_Task * TAO_Notify_Default_EMO_Factory::create_task | ( | int | mt,
|  | int tp_size | ACE_ENV_ARG_DECL
| ) | `[protected]`

| Create a worker task, mt => is this a MT task, if so, tp_size is thread pool size.

TAO_Notify_Worker_Task * TAO_Notify_Default_EMO_Factory::create_updates_task | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

void TAO_Notify_Default_EMO_Factory::destroy_dispatching_task | ( | TAO_Notify_Worker_Task * | task | ) | `[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

void TAO_Notify_Default_EMO_Factory::destroy_listener_eval_task | ( | TAO_Notify_Worker_Task * | task | ) | `[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

void TAO_Notify_Default_EMO_Factory::destroy_lookup_task | ( | TAO_Notify_Worker_Task * | task | ) | `[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

void TAO_Notify_Default_EMO_Factory::destroy_source_eval_task | ( | TAO_Notify_Worker_Task * | task | ) | `[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

void TAO_Notify_Default_EMO_Factory::destroy_updates_task | ( | TAO_Notify_Worker_Task * | task | ) | `[virtual]`

| Reimplemented from TAO_Notify_EMO_Factory.

int TAO_Notify_Default_EMO_Factory::fini | ( | void |  | ) | `[virtual]`

| Reimplemented from ACE_Shared_Object.

int TAO_Notify_Default_EMO_Factory::init | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | `[virtual]`

| Reimplemented from ACE_Shared_Object.

int TAO_Notify_Default_EMO_Factory::init_instance | ( | void |  | ) |

int TAO_Notify_Default_EMO_Factory::init_svc | ( | void |  | ) | `[static]`

| Helper function to register the default factory into the service configurator.

int TAO_Notify_Default_EMO_Factory::preallocate_tasks | ( | void |  | ) | `[protected]`

void TAO_Notify_Default_EMO_Factory::print_values | ( | void |  | ) | `[virtual]`

| bad hack. why is this here?! Reimplemented from TAO_Notify_EMO_Factory.

## Member Data Documentation

TAO_Notify_Worker_Task* TAO_Notify_Default_EMO_Factory::prealloc_dispatching_task_`[protected]`

TAO_Notify_Worker_Task* TAO_Notify_Default_EMO_Factory::prealloc_listener_eval_task_`[protected]`

TAO_Notify_Worker_Task* TAO_Notify_Default_EMO_Factory::prealloc_source_eval_task_`[protected]`

The documentation for this class was generated from the following files:

- Notify_Default_EMO_Factory.h
- Notify_Default_EMO_Factory.cpp